import React, {useEffect} from 'react';
import {Col, Progress} from "antd"
import socket from "../util/socket";


const NextShot = () => {
    useEffect(() => {
        socket.on("SENDING_NEW_TIME", (data: string) => {

        });

        return () => {
            socket.off("SENDING_NEW_TIME");
        }
    });

    return (
        <Col className="sider" span={4}>
            <h1>Tijd tot volgende shot:</h1>
            <Progress type="circle"
                      percent={75}
                      strokeColor={"#304ba3"}
                      strokeWidth={10}/>
        </Col>

    );
};

export default NextShot;
